package cpcns.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.aspose.words.Document;
import com.aspose.words.License;
import cpcns.utils.StringUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;

public class Word2Pdf {
  public static void doc2pdf(String inPath, String outPath) {
    try {
      long old = System.currentTimeMillis();
      String path = (new cpcns.utils.Word2Pdf()).getClass().getResource("/").getPath();
      path = path.substring(1);
      path = path.replace("/WEB-INF/classes/", "/WEB-INF/license.xml");
      if (!StringUtil.IsSystem("win"))
        path = "/" + path; 
      InputStream is = new FileInputStream(path);
      License aposeLic = new License();
      aposeLic.setLicense(is);
      File suoluetuPath_ = new File(outPath.substring(0, outPath.lastIndexOf("/")));
      if (!suoluetuPath_.exists())
        suoluetuPath_.mkdirs(); 
      File file = new File(outPath);
      if (!file.exists())
        file.createNewFile(); 
      FileOutputStream os = new FileOutputStream(file);
      Document doc = new Document(inPath);
      doc.save(os, 40);
      File ip = new File(inPath);
      if (ip.exists())
        ip.delete(); 
      long now = System.currentTimeMillis();
      System.out.println("共耗时：" + ((now - old) / 1000.0D) + "秒");
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
  
  public static void main(String[] args) {
    String filepath = "E:\\测试使用\\word\\20180417140002546779.doc";
    String outpath = "E:\\测试使用\\word\\1111.pdf";
    doc2pdf(filepath, outpath);
  }
}
